<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:ui="http://java.sun.com/jsf/facelets">

<h:head>
</h:head>

<h:body style="margin-left:50px">
    <h2>PrimeFaces PickList Example</h2>

    <h:form>
    <p:pickList value="#{pickListBean.listModel}"
                var="emp" iconOnly="true" effect="bounce"
                itemLabel="#{emp.name} (#{emp.dept})"
                itemValue="#{emp}"
                converter="empConverter"
                showTargetControls = "true"
                label="Załączniki do EPU Papier">
        <f:facet name="sourceCaption"> Dostępne </f:facet>
        <f:facet name="targetCaption"> Wybrane </f:facet>
    </p:pickList>
        <p:commandButton value="Zapisz"
                         update="display" />

        <h:panelGrid id="display" columns="1">

            <h3>Lista pracowników do wyboru:</h3>
            <ui:repeat value="#{pickListBean.listModel.source}" var="emp">
                <h:outputText value="#{emp.name} (#{emp.dept})"/>
                <br/>
            </ui:repeat>
         <h3>Lista wybranych pracowników w odpowiedniej kolejności:</h3>
        <ui:repeat value="#{pickListBean.listModel.target}" var="emp">
            <h:outputText value="#{emp.name} (#{emp.dept})"/>
            <br/>
        </ui:repeat>
        </h:panelGrid>
    </h:form>
    <h:panelGroup rendered="#{features['FEATURE_ONE']}">
        <h2>PrimeFaces Linear Chart Example</h2>
        <p:chart type="line" model="#{lineChartBean.lineModel}" style="height:400px;width:600px"/>
    </h:panelGroup>

    <h:form>
        <p:commandButton update="display1,display2" />
        <p:commandButton update="display1 display2" />
        <h:outputText id="display1" value="#{emp.name}"/>
        <h:outputText id="display2" value="#{emp.name}"/>
    </h:form>

</h:body>
</html>